summaryrefslogtreecommitdiffstats
path: root/board/x86_generic/env/bin/init
diff options
context:
space:
mode:
Diffstat (limited to 'board/x86_generic/env/bin/init')
-rw-r--r--board/x86_generic/env/bin/init15
1 files changed, 15 insertions, 0 deletions
diff --git a/board/x86_generic/env/bin/init b/board/x86_generic/env/bin/init
new file mode 100644
index 0000000000..2924a4449a
--- /dev/null
+++ b/board/x86_generic/env/bin/init
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+PATH=/env/bin
+export PATH
+
+. /env/config
+
+echo
+echo -n "Hit any key to stop autoboot: "
+timeout -a $autoboot_timeout
+if [ $? != 0 ]; then
+ exit
+fi
+
+boot